Subject: bug#77803: [PATCH v2] Don't indent variable names to their declarator expression (bug#77803)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Apr 2025 10:45:23 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Date: Sat, 19 Apr 2025 08:46:11 +0300
> 
> > So it's hard to call the current indentation incorrect. Could use a
> > user 
> > option. Maybe take js2-pretty-multiline-declarations as an example.
> 
> Interesting point btw, is there docs how to customize tree-sitter
> indentation? I looked around and found this post¹, however it's
> specific to c-ts-mode, because it relies on `c-ts-mode-indent-style`
> function.

C/C++ indentation styles are indeed specific to c-ts-mode, but nothing
prevents us from having a similar command in other modes.  Not every
major mode wants to support several indentation styles, so I'm not
sure a global treesit-level facility is justified.